>From b14cecb7bf2cb1afa9c5060eaa768f644b8676af Mon Sep 17 00:00:00 2001
From: KO Myung-Hun <komh@chollian.net>
Date: Wed, 30 Jul 2014 12:28:39 +0900
Subject: [PATCH] configure: extract top_srcdir from Makefile at external of quotes

This fixes the following error on pdksh v5.2.14.

-----
sed: -e expression #1, char 1: unknown command: `"'
-----
---
 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/configure.ac b/configure.ac
index 4852f2c..3699c61 100644
--- a/configure.ac
+++ b/configure.ac
@@ -4273,11 +4273,12 @@ if test -n $SHELL; then
   SHELL=${CONFIG_SHELL-/bin/sh}
 fi
 rm -f compile
+compile_top_srcdir=`sed -ne "s/^top_srcdir *= *//p" < Makefile`
 echo "#! $SHELL
 rm -f .error\$\$
 ERROR=0
 export PATH=\"$PATH\" LANG=C
-($MAKE V=1 \$@ 2>&1 || touch .error\$\$)| `sed -ne \"s/^top_srcdir *= *//p\" < Makefile`/extras/buildsystem/make.pl
+($MAKE V=1 \$@ 2>&1 || touch .error\$\$)| $compile_top_srcdir/extras/buildsystem/make.pl
 test -f .error\$\$ && ERROR=1
 rm -f .error\$\$
 exit \$ERROR" >compile
-- 
1.7.3.2

